# H245_OpenLogicalChannel_forwardLogicalChannelParameters Class Reference

`#include <h245.h>`

Inheritance diagram for H245_OpenLogicalChannel_forwardLogicalChannelParameters:

List of all members.

## Public Types

enum | OptionalFields { e_portNumber, e_forwardLogicalChannelDependency, e_replacementFor }

## Public Member Functions

| H245_OpenLogicalChannel_forwardLogicalChannelParameters (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_portNumber
H245_DataType | m_dataType
H245_OpenLogicalChannel_forwardLogicalChannelParameters_multiplexParameters | m_multiplexParameters
H245_LogicalChannelNumber | m_forwardLogicalChannelDependency
H245_LogicalChannelNumber | m_replacementFor

## Member Enumeration Documentation

enum H245_OpenLogicalChannel_forwardLogicalChannelParameters::OptionalFields

Enumerator:

  e_portNumber |
  e_forwardLogicalChannelDependency |
  e_replacementFor |

## Constructor & Destructor Documentation

H245_OpenLogicalChannel_forwardLogicalChannelParameters::H245_OpenLogicalChannel_forwardLogicalChannelParameters | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_OpenLogicalChannel_forwardLogicalChannelParameters::GetDataLength | ( |  | ) | const

PBoolean H245_OpenLogicalChannel_forwardLogicalChannelParameters::Decode | ( | PASN_Stream & | strm | ) |

void H245_OpenLogicalChannel_forwardLogicalChannelParameters::Encode | ( | PASN_Stream & | strm | ) | const

void H245_OpenLogicalChannel_forwardLogicalChannelParameters::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_OpenLogicalChannel_forwardLogicalChannelParameters::Compare | ( | const PObject & | obj | ) | const

PObject* H245_OpenLogicalChannel_forwardLogicalChannelParameters::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer H245_OpenLogicalChannel_forwardLogicalChannelParameters::m_portNumber

H245_DataType H245_OpenLogicalChannel_forwardLogicalChannelParameters::m_dataType

H245_OpenLogicalChannel_forwardLogicalChannelParameters_multiplexParameters H245_OpenLogicalChannel_forwardLogicalChannelParameters::m_multiplexParameters

H245_LogicalChannelNumber H245_OpenLogicalChannel_forwardLogicalChannelParameters::m_forwardLogicalChannelDependency

H245_LogicalChannelNumber H245_OpenLogicalChannel_forwardLogicalChannelParameters::m_replacementFor

The documentation for this class was generated from the following file:

- h245.h